From 05b48b6ce2e0cdf1edbdd76df838a4dc5cdc254a Mon Sep 17 00:00:00 2001
From: Marti Raudsepp <marti@juffo.org>
Date: Mon, 25 Aug 2014 19:57:17 +0300
Subject: [PATCH 2/3] doc: Fix usages of etc., e.g., i.e., et al.

---
 doc/src/sgml/advanced.sgml    |  2 +-
 doc/src/sgml/arch-dev.sgml    |  2 +-
 doc/src/sgml/biblio.sgml      |  6 +++---
 doc/src/sgml/bki.sgml         |  4 ++--
 doc/src/sgml/config.sgml      |  4 ++--
 doc/src/sgml/datetime.sgml    |  2 +-
 doc/src/sgml/ddl.sgml         |  2 +-
 doc/src/sgml/extend.sgml      |  2 +-
 doc/src/sgml/func.sgml        |  4 ++--
 doc/src/sgml/libpq.sgml       |  8 ++++----
 doc/src/sgml/manage-ag.sgml   |  2 +-
 doc/src/sgml/plperl.sgml      |  6 +++---
 doc/src/sgml/pltcl.sgml       |  2 +-
 doc/src/sgml/protocol.sgml    | 22 +++++++++++-----------
 doc/src/sgml/ref/values.sgml  |  2 +-
 doc/src/sgml/release-7.4.sgml |  6 +++---
 doc/src/sgml/release-8.0.sgml |  6 +++---
 doc/src/sgml/release-8.1.sgml |  4 ++--
 doc/src/sgml/release-8.2.sgml |  4 ++--
 doc/src/sgml/release-8.3.sgml |  4 ++--
 doc/src/sgml/release-8.4.sgml |  2 +-
 doc/src/sgml/release-9.0.sgml |  2 +-
 doc/src/sgml/release-9.1.sgml |  2 +-
 doc/src/sgml/release-9.2.sgml |  2 +-
 doc/src/sgml/release-9.4.sgml |  2 +-
 doc/src/sgml/release-old.sgml | 14 +++++++-------
 doc/src/sgml/sources.sgml     |  4 ++--
 doc/src/sgml/syntax.sgml      |  2 +-
 doc/src/sgml/tsearch2.sgml    |  2 +-
 doc/src/sgml/xml2.sgml        |  2 +-
 30 files changed, 64 insertions(+), 64 deletions(-)

diff --git a/doc/src/sgml/advanced.sgml b/doc/src/sgml/advanced.sgml
index 1e45511..2b6ed22 100644
--- a/doc/src/sgml/advanced.sgml
+++ b/doc/src/sgml/advanced.sgml
@@ -225,7 +225,7 @@ UPDATE branches SET balance = balance + 100.00
 BEGIN;
 UPDATE accounts SET balance = balance - 100.00
     WHERE name = 'Alice';
--- etc etc
+-- etc. etc.
 COMMIT;
 </programlisting>
    </para>
diff --git a/doc/src/sgml/arch-dev.sgml b/doc/src/sgml/arch-dev.sgml
index c835e87..9daddee 100644
--- a/doc/src/sgml/arch-dev.sgml
+++ b/doc/src/sgml/arch-dev.sgml
@@ -259,7 +259,7 @@
      system catalog lookups can only be done within a transaction, and we
      do not wish to start a transaction immediately upon receiving a query
      string.  The raw parsing stage is sufficient to identify the transaction
-     control commands (<command>BEGIN</>, <command>ROLLBACK</>, etc), and
+     control commands (<command>BEGIN</>, <command>ROLLBACK</>, etc.), and
      these can then be correctly executed without any further analysis.
      Once we know that we are dealing with an actual query (such as
      <command>SELECT</> or <command>UPDATE</>), it is okay to
diff --git a/doc/src/sgml/biblio.sgml b/doc/src/sgml/biblio.sgml
index e2cd69d..12e59ea 100644
--- a/doc/src/sgml/biblio.sgml
+++ b/doc/src/sgml/biblio.sgml
@@ -22,7 +22,7 @@
 
    <biblioentry id="BOWMAN01">
     <title>The Practical <acronym>SQL</acronym> Handbook</title>
-    <titleabbrev>Bowman et al, 2001</titleabbrev>
+    <titleabbrev>Bowman et al., 2001</titleabbrev>
     <subtitle>Using SQL Variants</subtitle>
     <edition>Fourth Edition</edition>
     <authorgroup>
@@ -434,7 +434,7 @@ ssimkovi@ag.or.at
     <title><ulink url="http://db.cs.berkeley.edu/papers/ERL-M89-82.pdf">
     A commentary on the <productname>POSTGRES</productname> rules system
     </ulink></title>
-    <titleabbrev>Stonebraker et al, 1989</titleabbrev>
+    <titleabbrev>Stonebraker et al., 1989</titleabbrev>
     <authorgroup>
      <author>
       <firstname>M.</firstname>
@@ -511,7 +511,7 @@ ssimkovi@ag.or.at
     <title><ulink url="http://db.cs.berkeley.edu/papers/ERL-M90-36.pdf">
     On Rules, Procedures, Caching and Views in Database Systems
     </ulink></title>
-    <titleabbrev>Stonebraker et al, ACM, 1990</titleabbrev>
+    <titleabbrev>Stonebraker et al., ACM, 1990</titleabbrev>
     <authorgroup>
      <author>
       <firstname>M.</firstname>
diff --git a/doc/src/sgml/bki.sgml b/doc/src/sgml/bki.sgml
index aaf500a..39b7a7b 100644
--- a/doc/src/sgml/bki.sgml
+++ b/doc/src/sgml/bki.sgml
@@ -111,11 +111,11 @@
       When <literal>bootstrap</> is specified,
       the table will only be created on disk; nothing is entered into
       <structname>pg_class</structname>,
-      <structname>pg_attribute</structname>, etc, for it.  Thus the
+      <structname>pg_attribute</structname>, etc., for it.  Thus the
       table will not be accessible by ordinary SQL operations until
       such entries are made the hard way (with <literal>insert</>
       commands).  This option is used for creating
-      <structname>pg_class</structname> etc themselves.
+      <structname>pg_class</structname> etc. themselves.
      </para>
 
      <para>
diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index f23e5dc..72f2a2a 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -3815,7 +3815,7 @@ local0.*    /var/log/postgresql
        <para>
         Example:  To keep 7 days of logs, one log file per day named
         <literal>server_log.Mon</literal>, <literal>server_log.Tue</literal>,
-        etc, and automatically overwrite last week's log with this week's log,
+        etc., and automatically overwrite last week's log with this week's log,
         set <varname>log_filename</varname> to <literal>server_log.%a</literal>,
         <varname>log_truncate_on_rotation</varname> to <literal>on</literal>, and
         <varname>log_rotation_age</varname> to <literal>1440</literal>.
@@ -5259,7 +5259,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         alias <literal>pg_temp</><indexterm><primary>pg_temp</></>.  If it is not listed in the path then
         it is searched first (even before <literal>pg_catalog</>).  However,
         the temporary schema is only searched for relation (table, view,
-        sequence, etc) and data type names.  It is never searched for
+        sequence, etc.) and data type names.  It is never searched for
         function or operator names.
        </para>
 
diff --git a/doc/src/sgml/datetime.sgml b/doc/src/sgml/datetime.sgml
index 444b0ec..9c550c6 100644
--- a/doc/src/sgml/datetime.sgml
+++ b/doc/src/sgml/datetime.sgml
@@ -415,7 +415,7 @@
 
    <para>
     For reference purposes, a standard installation also contains files
-    <filename>Africa.txt</>, <filename>America.txt</>, etc, containing
+    <filename>Africa.txt</>, <filename>America.txt</>, etc., containing
     information about every time zone abbreviation known to be in use
     according to the <literal>zoneinfo</> timezone database.  The zone name
     definitions found in these files can be copied and pasted into a custom
diff --git a/doc/src/sgml/ddl.sgml b/doc/src/sgml/ddl.sgml
index 0fcd9f8..32670a7 100644
--- a/doc/src/sgml/ddl.sgml
+++ b/doc/src/sgml/ddl.sgml
@@ -1438,7 +1438,7 @@ ALTER TABLE products RENAME TO items;
    <literal>CREATE</>, <literal>CONNECT</>, <literal>TEMPORARY</>,
    <literal>EXECUTE</>, and <literal>USAGE</>.
    The privileges applicable to a particular
-   object vary depending on the object's type (table, function, etc).
+   object vary depending on the object's type (table, function, etc.).
    For complete information on the different types of privileges
    supported by <productname>PostgreSQL</productname>, refer to the
    <xref linkend="sql-grant"> reference
diff --git a/doc/src/sgml/extend.sgml b/doc/src/sgml/extend.sgml
index a2d4ca2..4199561 100644
--- a/doc/src/sgml/extend.sgml
+++ b/doc/src/sgml/extend.sgml
@@ -530,7 +530,7 @@
     <para>
      An extension's <acronym>SQL</> script files can contain any SQL commands,
      except for transaction control commands (<command>BEGIN</>,
-     <command>COMMIT</>, etc) and commands that cannot be executed inside a
+     <command>COMMIT</>, etc.) and commands that cannot be executed inside a
      transaction block (such as <command>VACUUM</>).  This is because the
      script files are implicitly executed within a transaction block.
     </para>
diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index 734ef5f..284c3ae 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -4193,7 +4193,7 @@ SELECT foo FROM regexp_split_to_table('the quick brown fox', E'\\s*') AS foo;
    <para>
     A branch is zero or more <firstterm>quantified atoms</> or
     <firstterm>constraints</>, concatenated.
-    It matches a match for the first, followed by a match for the second, etc;
+    It matches a match for the first, followed by a match for the second, etc.;
     an empty branch matches the empty string.
    </para>
 
@@ -8863,7 +8863,7 @@ CREATE TYPE rainbow AS ENUM ('red', 'orange', 'yellow', 'green', 'blue', 'purple
 
     <para>
      In addition to the operators shown in the table, the ordinary B-tree
-     comparison operators (<literal>=</>, <literal>&lt;</>, etc) are defined
+     comparison operators (<literal>=</>, <literal>&lt;</>, etc.) are defined
      for types <type>tsvector</> and <type>tsquery</>.  These are not very
      useful for text searching but allow, for example, unique indexes to be
      built on columns of these types.
diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index ef45fbf..7442195 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -2316,7 +2316,7 @@ PGresult *PQdescribePrepared(PGconn *conn, const char *stmtName);
         <structname>PGresult</> to obtain information about the parameters
         of the prepared statement, and the functions
         <function>PQnfields</function>, <function>PQfname</function>,
-        <function>PQftype</function>, etc provide information about the
+        <function>PQftype</function>, etc. provide information about the
         result columns (if any) of the statement.
        </para>
       </listitem>
@@ -2355,7 +2355,7 @@ PGresult *PQdescribePortal(PGconn *conn, const char *portalName);
         portal.  On success, a <structname>PGresult</> with status
         <literal>PGRES_COMMAND_OK</literal> is returned.  The functions
         <function>PQnfields</function>, <function>PQfname</function>,
-        <function>PQftype</function>, etc can be applied to the
+        <function>PQftype</function>, etc. can be applied to the
         <structname>PGresult</> to obtain information about the result
         columns (if any) of the portal.
        </para>
@@ -4437,7 +4437,7 @@ int PQflush(PGconn *conn);
    more rows will arrive.  (But note that it is still necessary to continue
    calling <function>PQgetResult</function> until it returns null.)  All of
    these <structname>PGresult</structname> objects will contain the same row
-   description data (column names, types, etc) that an ordinary
+   description data (column names, types, etc.) that an ordinary
    <structname>PGresult</structname> object for the query would have.
    Each object should be freed with <function>PQclear</function> as usual.
   </para>
@@ -4907,7 +4907,7 @@ typedef struct pgNotify
      <listitem>
       <para>
        0 indicates the overall copy format is textual (rows separated by
-       newlines, columns separated by separator characters, etc).  1
+       newlines, columns separated by separator characters, etc.).  1
        indicates the overall copy format is binary.  See <xref
        linkend="sql-copy"> for more information.
       </para>
diff --git a/doc/src/sgml/manage-ag.sgml b/doc/src/sgml/manage-ag.sgml
index 78ec509..8269438 100644
--- a/doc/src/sgml/manage-ag.sgml
+++ b/doc/src/sgml/manage-ag.sgml
@@ -387,7 +387,7 @@ dropdb <replaceable class="parameter">dbname</replaceable>
      of data files. They are dependent on metadata contained in the main
      data directory, and therefore cannot be attached to a different
      database cluster or backed up individually.  Similarly, if you lose
-     a tablespace (file deletion, disk failure, etc), the database cluster
+     a tablespace (file deletion, disk failure, etc.), the database cluster
      might become unreadable or unable to start.  Placing a tablespace
      on a temporary file system like a ramdisk risks the reliability of
      the entire cluster.
diff --git a/doc/src/sgml/plperl.sgml b/doc/src/sgml/plperl.sgml
index 9117769..3259b29 100644
--- a/doc/src/sgml/plperl.sgml
+++ b/doc/src/sgml/plperl.sgml
@@ -572,7 +572,7 @@ SELECT * from lotsa_md5(500);
     <para>
     <literal>spi_prepare</literal>, <literal>spi_query_prepared</literal>, <literal>spi_exec_prepared</literal>,
     and <literal>spi_freeplan</literal> implement the same functionality but for prepared queries.
-    <literal>spi_prepare</literal> accepts a query string with numbered argument placeholders ($1, $2, etc)
+    <literal>spi_prepare</literal> accepts a query string with numbered argument placeholders ($1, $2, etc.)
     and a string list of argument types:
 <programlisting>
 $plan = spi_prepare('SELECT * FROM test WHERE id &gt; $1 AND name = $2',
@@ -617,7 +617,7 @@ SELECT done();
  2005-12-10 | 2005-12-11 | 2005-12-12
 </programlisting>
     Note that the parameter subscript in <literal>spi_prepare</literal> is defined via
-    $1, $2, $3, etc, so avoid declaring query strings in double quotes that might easily
+    $1, $2, $3, etc., so avoid declaring query strings in double quotes that might easily
     lead to hard-to-catch bugs.
     </para>
 
@@ -942,7 +942,7 @@ $$ LANGUAGE plperl;
    PL/Perl functions will share the same value of <varname>%_SHARED</varname>
    if and only if they are executed by the same SQL role.  In an application
    wherein a single session executes code under multiple SQL roles (via
-   <literal>SECURITY DEFINER</> functions, use of <command>SET ROLE</>, etc)
+   <literal>SECURITY DEFINER</> functions, use of <command>SET ROLE</>, etc.)
    you may need to take explicit steps to ensure that PL/Perl functions can
    share data via <varname>%_SHARED</varname>.  To do that, make sure that
    functions that should communicate are owned by the same user, and mark
diff --git a/doc/src/sgml/pltcl.sgml b/doc/src/sgml/pltcl.sgml
index e47ad96..0dd2bbc 100644
--- a/doc/src/sgml/pltcl.sgml
+++ b/doc/src/sgml/pltcl.sgml
@@ -228,7 +228,7 @@ $$ LANGUAGE pltcl;
      functions will share the same global variables if and only if they are
      executed by the same SQL role.  In an application wherein a single
      session executes code under multiple SQL roles (via <literal>SECURITY
-     DEFINER</> functions, use of <command>SET ROLE</>, etc) you may need to
+     DEFINER</> functions, use of <command>SET ROLE</>, etc.) you may need to
      take explicit steps to ensure that PL/Tcl functions can share data.  To
      do that, make sure that functions that should communicate are owned by
      the same user, and mark them <literal>SECURITY DEFINER</>.  You must of
diff --git a/doc/src/sgml/protocol.sgml b/doc/src/sgml/protocol.sgml
index e519ff9..0c75034 100644
--- a/doc/src/sgml/protocol.sgml
+++ b/doc/src/sgml/protocol.sgml
@@ -140,7 +140,7 @@
     <firstterm>bind</> step, which creates a portal given a prepared
     statement and values for any needed parameters; and an
     <firstterm>execute</> step that runs a portal's query.  In the case of
-    a query that returns rows (<command>SELECT</>, <command>SHOW</>, etc),
+    a query that returns rows (<command>SELECT</>, <command>SHOW</>, etc.),
     the execute step can be told to fetch only
     a limited number of rows, so that multiple execute steps might be needed
     to complete the operation.
@@ -519,7 +519,7 @@
       <listitem>
        <para>
         Indicates that rows are about to be returned in response to
-        a <command>SELECT</command>, <command>FETCH</command>, etc query.
+        a <command>SELECT</command>, <command>FETCH</command>, etc. query.
         The contents of this message describe the column layout of the rows.
         This will be followed by a DataRow message for each row being returned
         to the frontend.
@@ -532,7 +532,7 @@
       <listitem>
        <para>
         One of the set of rows returned by
-        a <command>SELECT</command>, <command>FETCH</command>, etc query.
+        a <command>SELECT</command>, <command>FETCH</command>, etc. query.
        </para>
       </listitem>
      </varlistentry>
@@ -1410,7 +1410,7 @@ The commands accepted in walsender mode are:
       </term>
       <listitem>
       <para>
-       Filename of the timeline history file, e.g <filename>00000002.history</>.
+       Filename of the timeline history file, e.g. <filename>00000002.history</>.
       </para>
       </listitem>
       </varlistentry>
@@ -2101,7 +2101,7 @@ This section describes the base data types used in messages.
                 order (most significant byte first).
                 If <replaceable>i</replaceable> is specified it
                 is the exact value that will appear, otherwise the value
-                is variable.  Eg. Int16, Int32(42).
+                is variable.  E.g. Int16, Int32(42).
 </para>
 </listitem>
 </varlistentry>
@@ -2116,7 +2116,7 @@ This section describes the base data types used in messages.
                 <replaceable>n</replaceable>-bit integers, each in network
                 byte order.  The array length <replaceable>k</replaceable>
                 is always determined by an earlier field in the message.
-                Eg. Int16[M].
+                E.g. Int16[M].
 </para>
 </listitem>
 </varlistentry>
@@ -2131,7 +2131,7 @@ This section describes the base data types used in messages.
                 specific length limitation on strings.
                 If <replaceable>s</replaceable> is specified it is the exact
                 value that will appear, otherwise the value is variable.
-                Eg. String, String("user").
+                E.g. String, String("user").
 </para>
 
 <note>
@@ -2156,7 +2156,7 @@ characters that don't fit into your fixed-size buffer.
                 width <replaceable>n</replaceable> is not a constant, it is
                 always determinable from an earlier field in the message.
                 If <replaceable>c</replaceable> is specified it is the exact
-                value.  Eg. Byte2, Byte1('\n').
+                value.  E.g. Byte2, Byte1('\n').
 </para>
 </listitem>
 </varlistentry>
@@ -3215,7 +3215,7 @@ CopyInResponse (B)
 <para>
                 0 indicates the overall <command>COPY</command> format is textual (rows
                 separated by newlines, columns separated by separator
-                characters, etc).
+                characters, etc.).
                 1 indicates the overall copy format is binary (similar
                 to DataRow format).
                 See <xref linkend="sql-copy">
@@ -3290,7 +3290,7 @@ CopyOutResponse (B)
 <para>
                 0 indicates the overall <command>COPY</command> format
                 is textual (rows separated by newlines, columns
-                separated by separator characters, etc). 1 indicates
+                separated by separator characters, etc.). 1 indicates
                 the overall copy format is binary (similar to DataRow
                 format). See <xref linkend="sql-copy"> for more information.
 </para>
@@ -3363,7 +3363,7 @@ CopyBothResponse (B)
 <para>
                 0 indicates the overall <command>COPY</command> format
                 is textual (rows separated by newlines, columns
-                separated by separator characters, etc). 1 indicates
+                separated by separator characters, etc.). 1 indicates
                 the overall copy format is binary (similar to DataRow
                 format). See <xref linkend="sql-copy"> for more information.
 </para>
diff --git a/doc/src/sgml/ref/values.sgml b/doc/src/sgml/ref/values.sgml
index 0fb3cd7..57ac1d4 100644
--- a/doc/src/sgml/ref/values.sgml
+++ b/doc/src/sgml/ref/values.sgml
@@ -200,7 +200,7 @@ UPDATE employees SET salary = salary * v.increase
    <command>SELECT</>.  It is not required that the <literal>AS</> clause
    specify names for all the columns, but it's good practice to do so.
    (The default column names for <command>VALUES</> are <literal>column1</>,
-   <literal>column2</>, etc in <productname>PostgreSQL</productname>, but
+   <literal>column2</>, etc. in <productname>PostgreSQL</productname>, but
    these names might be different in other database systems.)
   </para>
 
diff --git a/doc/src/sgml/release-7.4.sgml b/doc/src/sgml/release-7.4.sgml
index 5a4c52d..6ebd5e0 100644
--- a/doc/src/sgml/release-7.4.sgml
+++ b/doc/src/sgml/release-7.4.sgml
@@ -1094,7 +1094,7 @@
       subexpression hasn't got a match.  An example is
       <literal>substring('foo' from 'foo(bar)?')</>.
       This should return NULL, since <literal>(bar)</> isn't matched, but
-      it was mistakenly returning the whole-pattern match instead (ie,
+      it was mistakenly returning the whole-pattern match instead (i.e.,
       <literal>foo</>).
      </para>
     </listitem>
@@ -1207,7 +1207,7 @@
     <listitem>
      <para>
       Prevent functions in indexes from executing with the privileges of
-      the user running <command>VACUUM</>, <command>ANALYZE</>, etc (Tom)
+      the user running <command>VACUUM</>, <command>ANALYZE</>, etc. (Tom)
      </para>
 
      <para>
@@ -2159,7 +2159,7 @@ misuse</para></listitem>
 <listitem><para>Change <filename>contrib/tsearch2</> to avoid unsafe use of
 <type>INTERNAL</> function results</para></listitem>
 <listitem><para>Repair ancient race condition that allowed a transaction to be
-seen as committed for some purposes (eg SELECT FOR UPDATE) slightly sooner
+seen as committed for some purposes (e.g. SELECT FOR UPDATE) slightly sooner
 than for other purposes</para>
 <para>This is an extremely serious bug since it could lead to apparent
 data inconsistencies being briefly visible to applications.</para></listitem>
diff --git a/doc/src/sgml/release-8.0.sgml b/doc/src/sgml/release-8.0.sgml
index 299c34e..e6ffda9 100644
--- a/doc/src/sgml/release-8.0.sgml
+++ b/doc/src/sgml/release-8.0.sgml
@@ -1412,7 +1412,7 @@
       subexpression hasn't got a match.  An example is
       <literal>substring('foo' from 'foo(bar)?')</>.
       This should return NULL, since <literal>(bar)</> isn't matched, but
-      it was mistakenly returning the whole-pattern match instead (ie,
+      it was mistakenly returning the whole-pattern match instead (i.e.,
       <literal>foo</>).
      </para>
     </listitem>
@@ -1606,7 +1606,7 @@
     <listitem>
      <para>
       Prevent functions in indexes from executing with the privileges of
-      the user running <command>VACUUM</>, <command>ANALYZE</>, etc (Tom)
+      the user running <command>VACUUM</>, <command>ANALYZE</>, etc. (Tom)
      </para>
 
      <para>
@@ -2799,7 +2799,7 @@ misuse</para></listitem>
 <listitem><para>Guard against incorrect second parameter to
 <function>record_out</></para></listitem>
 <listitem><para>Repair ancient race condition that allowed a transaction to be
-seen as committed for some purposes (eg SELECT FOR UPDATE) slightly sooner
+seen as committed for some purposes (e.g. SELECT FOR UPDATE) slightly sooner
 than for other purposes</para>
 <para>This is an extremely serious bug since it could lead to apparent
 data inconsistencies being briefly visible to applications.</para></listitem>
diff --git a/doc/src/sgml/release-8.1.sgml b/doc/src/sgml/release-8.1.sgml
index 0cb5587..495d9c2 100644
--- a/doc/src/sgml/release-8.1.sgml
+++ b/doc/src/sgml/release-8.1.sgml
@@ -1851,7 +1851,7 @@
       subexpression hasn't got a match.  An example is
       <literal>substring('foo' from 'foo(bar)?')</>.
       This should return NULL, since <literal>(bar)</> isn't matched, but
-      it was mistakenly returning the whole-pattern match instead (ie,
+      it was mistakenly returning the whole-pattern match instead (i.e.,
       <literal>foo</>).
      </para>
     </listitem>
@@ -2058,7 +2058,7 @@
     <listitem>
      <para>
       Prevent functions in indexes from executing with the privileges of
-      the user running <command>VACUUM</>, <command>ANALYZE</>, etc (Tom)
+      the user running <command>VACUUM</>, <command>ANALYZE</>, etc. (Tom)
      </para>
 
      <para>
diff --git a/doc/src/sgml/release-8.2.sgml b/doc/src/sgml/release-8.2.sgml
index 7f6a74b..90bd424 100644
--- a/doc/src/sgml/release-8.2.sgml
+++ b/doc/src/sgml/release-8.2.sgml
@@ -3233,7 +3233,7 @@
       subexpression hasn't got a match.  An example is
       <literal>substring('foo' from 'foo(bar)?')</>.
       This should return NULL, since <literal>(bar)</> isn't matched, but
-      it was mistakenly returning the whole-pattern match instead (ie,
+      it was mistakenly returning the whole-pattern match instead (i.e.,
       <literal>foo</>).
      </para>
     </listitem>
@@ -3600,7 +3600,7 @@
     <listitem>
      <para>
       Prevent functions in indexes from executing with the privileges of
-      the user running <command>VACUUM</>, <command>ANALYZE</>, etc (Tom)
+      the user running <command>VACUUM</>, <command>ANALYZE</>, etc. (Tom)
      </para>
 
      <para>
diff --git a/doc/src/sgml/release-8.3.sgml b/doc/src/sgml/release-8.3.sgml
index 3ce96f1..c7b8909 100644
--- a/doc/src/sgml/release-8.3.sgml
+++ b/doc/src/sgml/release-8.3.sgml
@@ -5535,7 +5535,7 @@
       subexpression hasn't got a match.  An example is
       <literal>substring('foo' from 'foo(bar)?')</>.
       This should return NULL, since <literal>(bar)</> isn't matched, but
-      it was mistakenly returning the whole-pattern match instead (ie,
+      it was mistakenly returning the whole-pattern match instead (i.e.,
       <literal>foo</>).
      </para>
     </listitem>
@@ -8350,7 +8350,7 @@ current_date &lt; 2017-11-17
        Provide <function>strlcpy()</function> and
        <function>strlcat()</function> on all platforms, and replace
        error-prone uses of <function>strncpy()</function>,
-       <function>strncat()</function>, etc (Peter)
+       <function>strncat()</function>, etc. (Peter)
       </para>
      </listitem>
 
diff --git a/doc/src/sgml/release-8.4.sgml b/doc/src/sgml/release-8.4.sgml
index 0baa735..60e5539 100644
--- a/doc/src/sgml/release-8.4.sgml
+++ b/doc/src/sgml/release-8.4.sgml
@@ -1259,7 +1259,7 @@
 
     <listitem>
      <para>
-      Avoid possible failure when performing transaction control commands (e.g
+      Avoid possible failure when performing transaction control commands (e.g.
       <command>ROLLBACK</>) in prepared queries (Tom Lane)
      </para>
     </listitem>
diff --git a/doc/src/sgml/release-9.0.sgml b/doc/src/sgml/release-9.0.sgml
index 0c77d24..a0f8e9c 100644
--- a/doc/src/sgml/release-9.0.sgml
+++ b/doc/src/sgml/release-9.0.sgml
@@ -1465,7 +1465,7 @@
 
     <listitem>
      <para>
-      Avoid possible failure when performing transaction control commands (e.g
+      Avoid possible failure when performing transaction control commands (e.g.
       ROLLBACK) in prepared queries (Tom Lane)
      </para>
     </listitem>
diff --git a/doc/src/sgml/release-9.1.sgml b/doc/src/sgml/release-9.1.sgml
index 4f86b64..3030ee7 100644
--- a/doc/src/sgml/release-9.1.sgml
+++ b/doc/src/sgml/release-9.1.sgml
@@ -1653,7 +1653,7 @@
 
     <listitem>
      <para>
-      Avoid possible failure when performing transaction control commands (e.g
+      Avoid possible failure when performing transaction control commands (e.g.
       <command>ROLLBACK</>) in prepared queries (Tom Lane)
      </para>
     </listitem>
diff --git a/doc/src/sgml/release-9.2.sgml b/doc/src/sgml/release-9.2.sgml
index 911f52a..1dd2f9f 100644
--- a/doc/src/sgml/release-9.2.sgml
+++ b/doc/src/sgml/release-9.2.sgml
@@ -1974,7 +1974,7 @@
 
     <listitem>
      <para>
-      Avoid possible failure when performing transaction control commands (e.g
+      Avoid possible failure when performing transaction control commands (e.g.
       <command>ROLLBACK</>) in prepared queries (Tom Lane)
      </para>
     </listitem>
diff --git a/doc/src/sgml/release-9.4.sgml b/doc/src/sgml/release-9.4.sgml
index 26abce1..a05cfd4 100644
--- a/doc/src/sgml/release-9.4.sgml
+++ b/doc/src/sgml/release-9.4.sgml
@@ -324,7 +324,7 @@
     <listitem>
      <para>
       Remove native support for <application>Kerberos</> authentication
-      (<option>--with-krb5</>, etc)
+      (<option>--with-krb5</>, etc.)
       (Magnus Hagander)
      </para>
 
diff --git a/doc/src/sgml/release-old.sgml b/doc/src/sgml/release-old.sgml
index ec8e43f..bfc58da 100644
--- a/doc/src/sgml/release-old.sgml
+++ b/doc/src/sgml/release-old.sgml
@@ -39,7 +39,7 @@
     <listitem>
      <para>
       Prevent functions in indexes from executing with the privileges of
-      the user running <command>VACUUM</>, <command>ANALYZE</>, etc (Tom)
+      the user running <command>VACUUM</>, <command>ANALYZE</>, etc. (Tom)
      </para>
 
      <para>
@@ -782,7 +782,7 @@ UPDATE pg_database SET datallowconn = false WHERE datname = 'template0';
 <listitem><para>Change encoding function signature to prevent
 misuse</para></listitem>
 <listitem><para>Repair ancient race condition that allowed a transaction to be
-seen as committed for some purposes (eg SELECT FOR UPDATE) slightly sooner
+seen as committed for some purposes (e.g. SELECT FOR UPDATE) slightly sooner
 than for other purposes</para>
 <para>This is an extremely serious bug since it could lead to apparent
 data inconsistencies being briefly visible to applications.</para></listitem>
@@ -2010,7 +2010,7 @@ operations on bytea columns (Joe)</para></listitem>
 
 <itemizedlist>
 <listitem><para>Repair ancient race condition that allowed a transaction to be
-seen as committed for some purposes (eg SELECT FOR UPDATE) slightly sooner
+seen as committed for some purposes (e.g. SELECT FOR UPDATE) slightly sooner
 than for other purposes</para>
 <para>This is an extremely serious bug since it could lead to apparent
 data inconsistencies being briefly visible to applications.</para></listitem>
@@ -6387,10 +6387,10 @@ Incompatible changes:
    (due to system catalog changes and indexing structure changes).
  * double-quote (") is deprecated as a quoting character for string literals;
    you need to convert them to single quotes ('). <!-- " -->
- * name of aggregates (eg. int4sum) are renamed in accordance with the
-   SQL standard (eg. sum).
+ * name of aggregates (e.g. int4sum) are renamed in accordance with the
+   SQL standard (e.g. sum).
  * CHANGE ACL syntax is replaced by GRANT/REVOKE syntax.
- * float literals (eg. 3.14) are now of type float4 (instead of float8 in
+ * float literals (e.g. 3.14) are now of type float4 (instead of float8 in
    previous releases); you might have to do typecasting if you depend on it
    being of type float8.  If you neglect to do the typecasting and you assign
    a float literal to a field of type float8, you might get incorrect values
@@ -6449,7 +6449,7 @@ Bug fixes:
 
 Other changes and enhancements:
  * addition of an EXPLAIN statement used for explaining the query execution
-   plan (eg. "EXPLAIN SELECT * FROM EMP" prints out the execution plan for
+   plan (e.g. "EXPLAIN SELECT * FROM EMP" prints out the execution plan for
    the query).
  * WARN and NOTICE messages no longer have timestamps on them. To turn on
    timestamps of error messages, uncomment the line in
diff --git a/doc/src/sgml/sources.sgml b/doc/src/sgml/sources.sgml
index aa20807..a66ad72 100644
--- a/doc/src/sgml/sources.sgml
+++ b/doc/src/sgml/sources.sgml
@@ -13,9 +13,9 @@
    </para>
 
    <para>
-    Layout rules (brace positioning, etc) follow BSD conventions.  In
+    Layout rules (brace positioning, etc.) follow BSD conventions.  In
     particular, curly braces for the controlled blocks of <literal>if</>,
-    <literal>while</>, <literal>switch</>, etc go on their own lines.
+    <literal>while</>, <literal>switch</>, etc. go on their own lines.
    </para>
 
    <para>
diff --git a/doc/src/sgml/syntax.sgml b/doc/src/sgml/syntax.sgml
index 434a894..f377d5c 100644
--- a/doc/src/sgml/syntax.sgml
+++ b/doc/src/sgml/syntax.sgml
@@ -1065,7 +1065,7 @@ SELECT (5 !) - 6;
       <row>
        <entry><token>IS</token></entry>
        <entry></entry>
-       <entry><literal>IS TRUE</>, <literal>IS FALSE</>, <literal>IS NULL</>, etc</entry>
+       <entry><literal>IS TRUE</>, <literal>IS FALSE</>, <literal>IS NULL</>, etc.</entry>
       </row>
 
       <row>
diff --git a/doc/src/sgml/tsearch2.sgml b/doc/src/sgml/tsearch2.sgml
index 192eccd..f0a7850 100644
--- a/doc/src/sgml/tsearch2.sgml
+++ b/doc/src/sgml/tsearch2.sgml
@@ -162,7 +162,7 @@
      Load the dump data.  There will be quite a few errors reported
      due to failure to recreate the original <application>tsearch2</>
      objects.  These errors can be ignored, but this means you cannot
-     restore the dump in a single transaction (eg, you cannot use
+     restore the dump in a single transaction (e.g., you cannot use
      <application>pg_restore</>'s <option>-1</> switch).
     </para>
    </step>
diff --git a/doc/src/sgml/xml2.sgml b/doc/src/sgml/xml2.sgml
index c4b85bf..1c9305c 100644
--- a/doc/src/sgml/xml2.sgml
+++ b/doc/src/sgml/xml2.sgml
@@ -328,7 +328,7 @@ AS t(article_id integer, author text, page_count integer, title text);
    just <literal>SELECT *</> &mdash; it can reference the output
    columns by name or join them to other tables. The function produces a
    virtual table with which you can perform any operation you wish (e.g.
-   aggregation, joining, sorting etc). So we could also have:
+   aggregation, joining, sorting etc.). So we could also have:
 <programlisting>
 SELECT t.title, p.fullname, p.email
 FROM xpath_table('article_id', 'article_xml', 'articles',
-- 
2.1.0

